package ro.ieval.unical;
import android.app.ActionBar;
import android.app.Activity;
import android.app.Fragment;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

public final class AddEventActivity extends Activity {
	@Override
	protected void onCreate(final Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.add_event);
		setTitle(R.string.addeventtitle);
		final ActionBar actionBar = getActionBar();
		actionBar.setNavigationMode(ActionBar.NAVIGATION_MODE_TABS);
		final ActionBar.Tab t1 = actionBar.newTab().setText(this.getString(R.string.addevtab1));
		final ActionBar.Tab t2 = actionBar.newTab().setText(this.getString(R.string.addevtab2));
		final ActionBar.Tab t3 = actionBar.newTab().setText(this.getString(R.string.addevtab3));
		
		final Fragment f1 = new TrivialFragment(R.layout.add_event_basic_tab);
		final Fragment f2 = new TrivialFragment(R.layout.add_event_details_tab);
		final Fragment f3 = new TrivialFragment(R.layout.add_event_other_tab);
		
		t1.setTabListener(new AddEventTabListener(f1));
		t2.setTabListener(new AddEventTabListener(f2));
		t3.setTabListener(new AddEventTabListener(f3));
		
		actionBar.addTab(t1);
		actionBar.addTab(t2);
		actionBar.addTab(t3);
	}
	
	@Override
	public boolean onCreateOptionsMenu(final Menu menu) {
		final MenuInflater inflater = getMenuInflater();
		inflater.inflate(R.menu.add_event, menu);
		return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(final MenuItem item) {
		switch (item.getItemId()) {
			case R.id.cancel:
				finish();
				return true;
			default:
				return false;
		}
	}
}
